package com.ruixuan.jiaoyang.entity;


import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.data.annotation.Transient;


/**
 * 素材信息对象 jy_material_list
 *
 * @author ruoyi
 * @date 2023-11-16
 */
public class JyMaterialList extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 素材唯一标识
     */
    @Excel(name = "素材唯一标识")
    private String signature;

    /**
     * 素材名称
     */
    @Excel(name = "素材名称")
    private String materialName;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String coverUrl;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String materialUrl;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    private Long userId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String userName;

    /**
     * 1-待处理 2-检测完成 3-检测失败
     */
    @Excel(name = "1-待处理 2-检测完成 3-检测失败")
    private Integer materialStatus;

    /**
     * 视频文本
     */
    @Excel(name = "视频文本")
    private String materialText;

    /**
     * 违规词
     */
    @Excel(name = "违规词")
    private String violatingText;

    @Transient
    private String startDate;
    @Transient
    private String endDate;
    @Transient
    private Integer pageNum;
    @Transient
    private Integer pageSize;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getMaterialUrl() {
        return materialUrl;
    }

    public void setMaterialUrl(String materialUrl) {
        this.materialUrl = materialUrl;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getMaterialStatus() {
        return materialStatus;
    }

    public void setMaterialStatus(Integer materialStatus) {
        this.materialStatus = materialStatus;
    }

    public String getMaterialText() {
        return materialText;
    }

    public void setMaterialText(String materialText) {
        this.materialText = materialText;
    }

    public String getViolatingText() {
        return violatingText;
    }

    public void setViolatingText(String violatingText) {
        this.violatingText = violatingText;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    @Override
    public String toString() {
        return "JyMaterialList{" +
                "id=" + id +
                ", signature='" + signature + '\'' +
                ", materialName='" + materialName + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                ", materialUrl='" + materialUrl + '\'' +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", materialStatus=" + materialStatus +
                ", materialText='" + materialText + '\'' +
                ", violatingText='" + violatingText + '\'' +
                ", startDate='" + startDate + '\'' +
                ", endDate='" + endDate + '\'' +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                '}';
    }
}

